package de.upb.infexba.linguistic;

/**
 * <p>
 * Enumeration of subexpression types which are defined
 * by the possible leading prepositions.
 * 
 * @author hwachsmuth
 *
 */
public enum SubexpressionType {

	OF_OR_FROM("von"), 
	TO("auf"), 
	BY("um"), 
	AFTER("nach"), 
	BETWEEN("zwischen"), 
	WITH("mit"), AT("bei"),
	NON("");
	
	/**
	 * The preposition that defines the type.
	 */
	private String prep;

	/**
	 * Constructor.
	 * 
	 * @param prep The preposition
	 */
	private SubexpressionType(String prep) {
		this.prep = prep;
	}

	/**
	 * Getter for the preposition of the subexpression type.
	 * 
	 * @return The preposition
	 */
	public String getPrep() {
		return prep;
	}
	
	
}
