package de.upb.infexba.ml;

import java.util.List;

/**
 * Entity class for instances of statement types. Consists of a list of
 * double values and a classification string.
 * 
 * @author hwachsmuth, 2010/10/25
 *
 */
public class RegularInstance {

	/**
	 * The values of the instance
	 */
	private List<Double> featureValues;
	
	/**
	 * The classification of the instance
	 */
	private String classification;

	/**
	 * Constructs the instance
	 * @param featureValues The feature values
	 * @param classification The classification
	 */
	public RegularInstance(List<Double> featureValues, String classification) {
		super();
		this.featureValues = featureValues;
		this.classification = classification;
	}

	/**
	 * Returns the feature values.
	 * @return The feature values
	 */
	public List<Double> getFeatureValues() {
		return featureValues;
	}

	/**
	 * Returns the classification
	 * @return The classification
	 */
	public String getClassification() {
		return classification;
	}
	
}
