package de.upb.infexba.ml.feature;

/**
 * Abstract superclass for all features.
 * 
 * @author hwachsmuth, 2010/11/11
 *
 */
public abstract class Feature {
	
	/**
	 * The name of the feature
	 */
	private String name;
	
	/**
	 * The value of the feature
	 */
	private Object value;
	
	/**
	 * Constructor sets the name and value.
	 * @param name The name
	 * @param value The value
	 */
	public Feature(String name, Object value){
		this.name = name;
		this.value = value;
	}
	
	/**
	 * Returns the name of the feature
	 * @return The name of the feature
	 */
	public final String getName(){
		return name;
	}
	
	/**
	 * Returns the value of the feature
	 * @return The value of the feature
	 */
	public final Object getValue(){
		return value;
	}

	/**
	 * Sets the name of the feature. 
	 * @param name The name of the feature
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Sets the value of the feature. 
	 * @param value The value of the feature
	 */
	public void setValue(Object value) {
		this.value = value;
	}
}
